# Struct ocl_core::types::abs::EventRefWrapper [−] [src]

    #[repr(C)]
    pub struct EventRefWrapper(_);

Wrapper used by `EventList` to send event pointers to core functions cheaply.

## Methods

### `impl EventRefWrapper`
[src]

#### `pub unsafe fn new(ptr: cl_event) -> EventRefWrapper`
[src]

## Trait Implementations

### `impl<'e> ClEventPtrRef<'e> for EventRefWrapper`
[src]

#### `unsafe fn as_ptr_ref(&'e self) -> &'e cl_event`
[src]

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)